Bug 990199 - Kie API cannot be exposed as jboss module because it is not just an API
Kie API cannot be exposed as jboss module because it is not just an API
Status: CLOSED WONTFIX
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.0.0
Assigned To: Pedro Zapata
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 10:45 EDT by Ivo Bek
Modified: 2013-09-20 09:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-20 09:14:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Server log with ClassNotFoundException and RuntimeException: Unable to instance KieServices (52.08 KB, text/x-log)
2013-07-30 10:48 EDT, Ivo Bek
no flags Details
module.xml for KIE API (1.68 KB, text/xml)
2013-07-30 10:49 EDT, Ivo Bek
no flags Details

  None (edit)
Description Ivo Bek 2013-07-30 10:45:37 EDT
Description of problem:

I created a kie-api module for EAP6 but during the module starting kie-api library tries to instantiate KieServices.

I'm going to attach the server log and module.xml with dependencies described here http://grepcode.com/snapshot/repo1.maven.org/maven2/org.kie/kie-api/6.0.0.Beta4

How reproducible:


Steps to Reproduce:
1. create new module org.kie.api
2. put there kie-api-6.0.0.CR1.jar and the attached module.xml
3. remove kie-api-6.0.0.CR1.jar from business central
4. add dependency on module org.kie.api into jboss-deployment-structure.xml

Actual results:


Expected results:


Additional info:
Comment 1 Ivo Bek 2013-07-30 10:48:21 EDT
Created attachment 780708 [details]
Server log with ClassNotFoundException and RuntimeException: Unable to instance KieServices
Comment 2 Ivo Bek 2013-07-30 10:49:20 EDT
Created attachment 780709 [details]
module.xml for KIE API
Comment 3 Pedro Zapata 2013-08-26 06:12:23 EDT
Modularization is far more complex than that and requires a whole set of modules and dependencies to be set to make use of the API.

KIE-API does not only contain the interfaces, but also implementation and initialization code, therefore it can't be deployed without any other dependency.

It simply can't be deployed in isolation of the rest of the product.

For tracking the status of the modularized deployment, please see
https://bugzilla.redhat.com/show_bug.cgi?id=993126

Note You need to log in before you can comment on or make changes to this bug.